Index: tests/regression/Atoms/TranslationToOrigin/testsuite-atoms-translation-to-origin.at
===================================================================
--- tests/regression/Atoms/TranslationToOrigin/testsuite-atoms-translation-to-origin.at	(revision c7fe90cd467a73a0ef32b5c631534b2928c0b926)
+++ tests/regression/Atoms/TranslationToOrigin/testsuite-atoms-translation-to-origin.at	(revision c7fe90cd467a73a0ef32b5c631534b2928c0b926)
@@ -0,0 +1,65 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### translation
+
+AT_SETUP([Atoms - Translation to origin])
+AT_KEYWORDS([atoms translate-to-origin])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/TranslationToOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --select-atom-by-id 0 --translate-to-origin], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created.*' $file ${abs_top_srcdir}/tests/regression/Atoms/TranslationToOrigin/post/test-shifted.xyz], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/TranslationToOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --select-atom-by-id 0 1 --translate-to-origin], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created.*' $file ${abs_top_srcdir}/tests/regression/Atoms/TranslationToOrigin/post/test-shifted-weighted.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Atoms - Translation to origin with Undo])
+AT_KEYWORDS([atoms translate-to-origin undo])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/TranslationToOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --select-atom-by-id 0 --translate-to-origin --undo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created.*' $file ${abs_top_srcdir}/tests/regression/Atoms/TranslationToOrigin/post/test.xyz], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/TranslationToOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --select-atom-by-id 0 1 --translate-to-origin --undo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created.*' $file ${abs_top_srcdir}/tests/regression/Atoms/TranslationToOrigin/post/test.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Atoms - Translation to origin with Redo])
+AT_KEYWORDS([atoms translate-to-origin redo])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/TranslationToOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --select-atom-by-id 0 --translate-to-origin --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created.*' $file ${abs_top_srcdir}/tests/regression/Atoms/TranslationToOrigin/post/test-shifted.xyz], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/TranslationToOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --select-atom-by-id 0 1 --translate-to-origin --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created.*' $file ${abs_top_srcdir}/tests/regression/Atoms/TranslationToOrigin/post/test-shifted-weighted.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
